classification
Title: Add support of checked hash-based pycs in zipimport
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, brett.cannon, eric.snow, mcepl, ncoghlan, serhiy.storchaka, twouters
Priority: normal Keywords: patch

Created on 2018-09-18 19:49 by serhiy.storchaka, last changed 2018-11-07 18:35 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10327 merged Elvis.Pranskevichus, 2018-11-05 13:57
Messages (3)
msg325675 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-09-18 19:49
Currently zipimport refuses to handle checked hash-based pycs (PEP 552).
msg325767 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-09-19 14:28
Issue23734 may be related.
msg329430 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-11-07 18:35
New changeset a6e956bcb0edbfe7f18af9be2215a5326ea6bf05 by Serhiy Storchaka (Elvis Pranskevichus) in branch 'master':
bpo-34726: Fix handling of hash-based pycs in zipimport. (GH-10327)
https://github.com/python/cpython/commit/a6e956bcb0edbfe7f18af9be2215a5326ea6bf05
History
Date User Action Args
2018-11-07 18:35:30serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-11-07 18:35:02serhiy.storchakasetmessages: + msg329430
2018-11-05 13:57:10Elvis.Pranskevichussetstage: needs patch -> patch review
pull_requests: + pull_request9637
2018-10-15 11:53:24mceplsetnosy: + mcepl
2018-09-19 14:28:21serhiy.storchakasetmessages: + msg325767
2018-09-19 14:25:20barrysetnosy: + barry
2018-09-18 20:27:30serhiy.storchakasetstage: patch review -> needs patch
2018-09-18 20:27:21serhiy.storchakasetpull_requests: - pull_request8829
2018-09-18 20:26:03serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request8829
2018-09-18 19:49:50serhiy.storchakacreate